Update Service Area

Update an existing service area record.

Response (Output) Params
ParameterDescription
success
boolean
Indicates whether the service completed successfully.
  • false - the service failed
  • true - the service succeeded
message
string
If an error occurred, a message indicating the error is included.
rc
integer
If an error occurred, the return code is included.
id
integer
The Bringg ID for this service area.
external_id
string
Your system's ID for this service area.
name
string
The display name of this service area.
next_page_cursor
integer
The ID to retrieve the next page of results.
polygon
array_string
The coordinates that form the polygon that defines the service area.
zipcodes
array_string
The list of zipcodes defining the geographical area of the service area.
zipcode_reached_limit
boolean
Bringg displays up to 57001 zip codes per service area.
  • false - below limit.
  • true - above limit.
Body Params
int32
required

Bringg's unique ID for the service area. Required if no external_id.

string
required

Your ID for the service area. Required if no ID.

string

Describes the service area. E.g. north shore, south shore, downtown. Entity's unique ID.

polygon
array of doubles

Defines the geographic area by drawing a polygon between the coordinates. Each object in the array includes two floats. Must include either zip codes or polygon, not both.

polygon
zipcodes
array of strings

Defines the geographical area as the collection of zipcodes. Must include either zipcodes or polygon, not both.

zipcodes
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json